Package org.lwjgl.opengl

# Class ARBPointParameters

java.lang.Object
org.lwjgl.opengl.ARBPointParameters

public final class ARBPointParameters extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_POINT_DISTANCE_ATTENUATION_ARB`
`static final int`
`GL_POINT_FADE_THRESHOLD_SIZE_ARB`
`static final int`
`GL_POINT_SIZE_MAX_ARB`
`static final int`
`GL_POINT_SIZE_MIN_ARB`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glPointParameterARB(int pname, FloatBuffer pfParams)`
`static void`
`glPointParameterfARB(int pname, float param)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_POINT_SIZE_MIN_ARB

public static final int GL_POINT_SIZE_MIN_ARB

See Also:
  - Constant Field Values

### GL_POINT_SIZE_MAX_ARB

public static final int GL_POINT_SIZE_MAX_ARB

See Also:
  - Constant Field Values

### GL_POINT_FADE_THRESHOLD_SIZE_ARB

public static final int GL_POINT_FADE_THRESHOLD_SIZE_ARB

See Also:
  - Constant Field Values

### GL_POINT_DISTANCE_ATTENUATION_ARB

public static final int GL_POINT_DISTANCE_ATTENUATION_ARB

See Also:
  - Constant Field Values

## Method Details

### glPointParameterfARB

public static void glPointParameterfARB(int pname, float param)

### glPointParameterARB

public static void glPointParameterARB(int pname, FloatBuffer pfParams)